## Add audio tracks to a video `client.stream.audioTracks.copy(stringidentifier, AudioTrackCopyParamsparams, RequestOptionsoptions?): Audio` **post** `/accounts/{account_id}/stream/{identifier}/audio/copy` Adds an additional audio track to a video using the provided audio track URL. ### Parameters - `identifier: string` A Cloudflare-generated unique identifier for a media item. - `params: AudioTrackCopyParams` - `account_id: string` Path param: The account identifier tag. - `label: string` Body param: A string to uniquely identify the track amongst other audio track labels for the specified video. - `url?: string` Body param: An audio track URL. The server must be publicly routable and support `HTTP HEAD` requests and `HTTP GET` range requests. The server should respond to `HTTP HEAD` requests with a `content-range` header that includes the size of the file. ### Returns - `Audio` - `default?: boolean` Denotes whether the audio track will be played by default in a player. - `label?: string` A string to uniquely identify the track amongst other audio track labels for the specified video. - `status?: "queued" | "ready" | "error"` Specifies the processing status of the video. - `"queued"` - `"ready"` - `"error"` - `uid?: string` A Cloudflare-generated unique identifier for a media item. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const audio = await client.stream.audioTracks.copy('ea95132c15732412d22c1476fa83f27a', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', label: 'director commentary', }); console.log(audio.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "default": true, "label": "director commentary", "status": "queued", "uid": "ea95132c15732412d22c1476fa83f27a" } } ```